Ask Grok
curl --request POST \
--url https://api.twexapi.io/v3/twitter/grok/ask \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prompt": "Say hi in one sentence.",
"cookie": "ct0=abc123... or 2c4a4e1832096aa694c739b83c83b6d96d43eba7",
"conversation_id": "2076320454898278729",
"model": "grok-3-latest",
"proxy": "http://username:password@ip:port"
}
'import requests
url = "https://api.twexapi.io/v3/twitter/grok/ask"
payload = {
"prompt": "Say hi in one sentence.",
"cookie": "ct0=abc123... or 2c4a4e1832096aa694c739b83c83b6d96d43eba7",
"conversation_id": "2076320454898278729",
"model": "grok-3-latest",
"proxy": "http://username:password@ip:port"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
prompt: 'Say hi in one sentence.',
cookie: 'ct0=abc123... or 2c4a4e1832096aa694c739b83c83b6d96d43eba7',
conversation_id: '2076320454898278729',
model: 'grok-3-latest',
proxy: 'http://username:password@ip:port'
})
};
fetch('https://api.twexapi.io/v3/twitter/grok/ask', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"msg": "success",
"data": {
"conversation_id": "2076320454898278729",
"message": "Hi there!",
"user_chat_item_id": "<string>",
"agent_chat_item_id": "<string>",
"reasoning": "Thinking about your request",
"soft_stop": true,
"follow_up_suggestions": [
{
"label": "Learn about conversational AI",
"properties": {},
"tools_overrides": {}
}
]
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Grok Endpoints
Ask Grok
Ask Grok with a Twitter account cookie.
POST
/
v3
/
twitter
/
grok
/
ask
Ask Grok
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Parameters for asking Grok
User prompt.
Example:
"Say hi in one sentence."
Twitter authentication cookie or Twitter auth_token, how-to-get-twitter-cookie
Example:
"ct0=abc123... or 2c4a4e1832096aa694c739b83c83b6d96d43eba7"
Continue an existing Grok conversation.
Example:
"2076320454898278729"
Optional model id (default grok-3-latest).
Example:
"grok-3-latest"
Proxy ref for session. Example: http://username:password@ip:port [blocked]
Example:
"http://username:password@ip:port"
⌘I